package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Ubr;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface UbrMapper {

    int insert(Ubr record);

    int insertSelective(Ubr record);

    int updateByPrimaryKeySelective(Ubr record);

    int updateByPrimaryKey(Ubr record);

    int deleteByPrimaryKey(Ubr record);

    int deleteByIds(Collection<Object> collection);

    Ubr selectByPrimaryKey(Ubr record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Ubr> dyncRead(Map<String,Object> dyncMap);

    List<Ubr> getUbrByConditionSql(@Param(value = "conditionSql") String conditionSql);

}